Bug 188970 - Option !NLS is broken for ftp/filezilla r351664
Summary: Option !NLS is broken for ftp/filezilla r351664
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-24 20:00 UTC by Trond.Endrestol
Modified: 2014-09-21 06:43 UTC (History)
3 users (show)

See Also:


Attachments
fix for nls and USE_GCC (10.80 KB, patch)
2014-08-30 18:28 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Trond.Endrestol 2014-04-24 20:00:00 UTC
Disabling the option NLS is broken for ftp/filezilla r351664. Translation files are expected to be present even with NLS turned off.

Fix: 

The pkg-plist looks ok, but maybe that file or the Makefile needs to mended.
BTW, configure --with-wx isn't accepted anymore.
How-To-Repeat: svn up /usr/ports
cd /usr/ports/ftp/filezilla
make config # Turn off NLS
make
# Notice the many complaints on missing translation files
make clean
make config # Turn on NLS
make
# No complaints this time, the build actually succeeds.
Comment 1 Edwin Groothuis freebsd_committer 2014-04-24 20:00:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jsa

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Kevin Zheng 2014-04-26 14:40:47 UTC
I was able to reproduce the same problem in Poudriere.

Thanks,
Kevin Zheng
Comment 4 John Marino freebsd_committer 2014-09-20 18:05:54 UTC
Kurt, this PR is at "maintainer-timeout" now.  Approval no longer required so go ahead and commit your fix.  I'm assigning PR to you.
Comment 5 commit-hook freebsd_committer 2014-09-21 06:42:22 UTC
A commit references this bug:

Author: pi
Date: Sun Sep 21 06:41:30 UTC 2014
New revision: 368720
URL: http://svnweb.freebsd.org/changeset/ports/368720

Log:
  ftp/filezilla: 3.9.0.3 -> 3.9.0.5

  - fixed the NLS option
  - USE_GCC from '4.7+' to 'yes'
  - update

  PR:		188970
  Submitted by:	Trond.Endrestol@ximalas.info
  Approved by:	jsa (maintainer timeout)

Changes:
  head/ftp/filezilla/Makefile
  head/ftp/filezilla/distinfo
  head/ftp/filezilla/pkg-plist